<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasColumn('servicios', 'visibleenweb')) {
            Schema::table('servicios', function (Blueprint $table) {
                $table->text('visibleenweb')->default('si');
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        if (Schema::hasColumn('servicios', 'visibleenweb')) {
            Schema::table('servicios', function (Blueprint $table) {
                $table->dropColumn('visibleenweb');
            });
        }
    }
};
